org.eclipse.net4j.util.ui.views

## Interface ContainerItemProvider.Node

- All Known Implementing Classes:
    ContainerItemProvider.AbstractContainerNode, ContainerItemProvider.AbstractNode, ContainerItemProvider.ContainerNode, ContainerItemProvider.LeafNode
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public static interface ContainerItemProvider.Node

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `void` | `disposeChildren()`
    `java.util.List<ContainerItemProvider.Node>` | `getChildren()`
    `java.lang.Object` | `getElement()`
    `ContainerItemProvider.Node` | `getParent()`
    `TreePath` | `getTreePath()`
    `boolean` | `hasChildren()`
    `boolean` | `isDisposed()`

- - ### Method Detail

    - #### isDisposed

          boolean isDisposed()

    - #### dispose

          void dispose()

    - #### disposeChildren

          void disposeChildren()

      Since:
        3.5

    - #### getElement

          java.lang.Object getElement()

    - #### getParent

          ContainerItemProvider.Node getParent()

    - #### hasChildren

          boolean hasChildren()

      Since:
        3.5

    - #### getChildren

          java.util.List<ContainerItemProvider.Node> getChildren()

    - #### getTreePath

          TreePath getTreePath()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html